#ifndef CONSTEXPR_H
#define CONSTEXPR_H

enum ROT_IND{NORTH, EAST, SOUTH, WEST, MAX};

constexpr size_t BIGMAT_WIDTH = 10;
constexpr size_t BIGMAT_HEIGHT = 24;

constexpr int SQR_SIZE = 32; //Size in pixels

constexpr int INFOS_PANEL_WIDTH = SQR_SIZE * 12;

constexpr int SCREENW = BIGMAT_WIDTH * SQR_SIZE + 2 * SQR_SIZE + INFOS_PANEL_WIDTH;
constexpr int SCREENH = BIGMAT_HEIGHT * SQR_SIZE + SQR_SIZE;

constexpr size_t SQR_COLOR_NUM = 10;

enum{EASY_GAME, INTERMEDIATE_GAME, HARD_GAME, GAME_MAX};

constexpr int HL_BTN_W = 8 * SQR_SIZE;
constexpr int HL_BTN_H = SQR_SIZE*2; 

constexpr char ARIALFONTPATH[] = "fonts/arial.ttf"; 

//In game
constexpr double PIECE_FALL_TIME_MIN = 100;
constexpr double PIECE_FALL_TIME_MAX = 1000;
constexpr double PIECE_SPEED_INCR = 1;
constexpr double PIECE_FALL_TOTAL_TIME = 1000 * 60 * 15;//15 minutes
constexpr double PIECE_FALL_CHANGE_DELAY = PIECE_FALL_TOTAL_TIME / (PIECE_FALL_TIME_MAX - PIECE_FALL_TIME_MIN) / PIECE_SPEED_INCR; 

constexpr char EASY_FILE_NAME[] = "easyScores.txt";
constexpr char INTERM_FILE_NAME[] = "intermediateScores.txt";
constexpr char HARD_FILE_NAME[] = "hardScores.txt";

#endif //CONSTEXPR_H