#include "tempMatrix.h"
#include "constexpr.h"
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "squareTexturing.h"

void drawMatrix(sf::RenderWindow& render, SquaresDrawing& sqrDraw, const MatrixTemp2D<SquareData>& matrix)
{
	for(size_t y_pos{0} ; y_pos < matrix.height() ; ++y_pos )
	{
		for( size_t x_pos{0} ; x_pos < matrix.width() ; ++x_pos )
		{
			if( matrix(x_pos, y_pos).filled )
			{
				sqrDraw.drawSquare(matrix(x_pos, y_pos).color, SQR_SIZE * (x_pos+1), SQR_SIZE * y_pos, render );
			}
		}
	}
}