#include <array>
#include "constexpr.h"
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "tempMatrix.h"
#include "randomSingleton.h"
#include "loadedPieces.h"
#include "activePieceThings.h"
#include "squareTexturing.h"
#include "drawPiece.h"

void drawPiece(sf::RenderWindow& render, const ActivePiece& activeP, const Piece& piece, SquaresDrawing& sqrDraw)
{	
	for( int sqr_x{0} ; sqr_x < piece.width(activeP.rotateIndex) ; ++sqr_x )
	{
		for( int sqr_y{0} ; sqr_y < piece.height(activeP.rotateIndex) ; ++sqr_y )
		{
			if( piece.getPresenceSquare(activeP.rotateIndex, sqr_x, sqr_y) )
			{
				sqrDraw.drawSquare(activeP.colorIndex, 
								SQR_SIZE * (activeP.posx + sqr_x) + SQR_SIZE, 
								SQR_SIZE * (activeP.posy + sqr_y), 
								render);
			}
		}
	}
}