#include <array>
#include <fstream>
#include <cassert>
#include "constexpr.h"
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "squareTexturing.h"

SquaresDrawing::SquaresDrawing(std::ofstream& errorLog)
{
	for( size_t it{0} ; it < squaresTextures.size() ; ++it )
	{
		if( squaresTextures[it].loadFromFile("textures/elements/square" + std::to_string(it) + ".png" ) )
		{
			squaresSprites[it].setTexture(squaresTextures[it]);
		}
		else{
			errorLog << "Error at loading texture file 'square" << it << ".png in directory 'textures/elements'." << '\n'; 
		}
	}
}

void SquaresDrawing::drawSquare(size_t colorIndex, int posx, int posy, sf::RenderWindow& rendWindow)
{
	assert( colorIndex < squaresSprites.size() );
	
	squaresSprites[colorIndex].setPosition(posx, posy);
	rendWindow.draw(squaresSprites[colorIndex]);
}