#ifdef _WIN32

#include <experimental/filesystem>
namespace fs = std::experimental::filesystem;

#include "windowsAPI.h"

bool winAPI_prefPath::composeNewPathIsSuccess(char *pathString, const std::string& appDir, std::string& errorMessage)
{
	if( SUCCEEDED(SHGetFolderPath(NULL,CSIDL_APPDATA | CSIDL_FLAG_CREATE, NULL, 0, pathString) ) )
	{
		PathAppend(pathString, TEXT(appDir.c_str()) );
		return createAppDirectoryIsSuccess(pathString, appDir, errorMessage);
	}
	else{
		errorMessage = "Error: couldn't create ApplicationData User path";
		return false;
	}
}

bool winAPI_prefPath::createAppDirectoryIsSuccess(const std::string& newPath, const std::string& dirName, std::string& errorMessage)
{	
	if( fs::exists(newPath) )
	{
		errorMessage = newPath + " already exist.";
		return true;
	}
	else
	{
		if( fs::create_directories(newPath) )
		{
			errorMessage = "New Directory : " + dirName + ", was succesfully created for new path: " + newPath;
			return true;
		}
		else{
			errorMessage = "Error: couldn't create dir " + dirName + " for the following full path " + newPath;
			return false;
		}
	}
}

#endif //_WIN32