#include <array>
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "constexpr.h"
#include "infosTextures.h"

InfosTextures::InfosTextures(const sf::Font& arial)
{
	setTextAttributes(arial, "left arrow : move piece to left", texts[TXT_LEFT_ARROW], {SQR_SIZE, SCREENH- SQR_SIZE*5});
	setTextAttributes(arial, "right arrow: move piece to right", texts[TXT_RIGHT_ARROW], {SQR_SIZE, SCREENH- SQR_SIZE*4});
	setTextAttributes(arial, "down arrow : move piece downer", texts[TXT_DOWN_ARROW], {SQR_SIZE, SCREENH- SQR_SIZE*3});
	setTextAttributes(arial, "'w' key    : anti-clockwise piece rotation", texts[TXT_W_KEY], {SQR_SIZE, SCREENH- SQR_SIZE*2});
	setTextAttributes(arial, "'x' key    : clockwise piece rotation", texts[TXT_X_KEY], {SQR_SIZE, SCREENH- SQR_SIZE*1});
}

void InfosTextures::drawAll(sf::RenderWindow& renderer) const
{
	for( auto const &txt : texts )
		renderer.draw(txt);
}

void InfosTextures::setTextAttributes(const sf::Font& arial, const std::string& str, sf::Text& text, const sf::Vector2f& pos)
{
	text.setFont(arial);
	text.setString(str);
	text.setCharacterSize(20);
	text.setFillColor(sf::Color::White);
	text.setPosition(pos);
}