#include <fstream>
#include <array>
#include <iostream>
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "constexpr.h"
#include "prefPathWithAPI.h"
#include "mainMenu.h"
#include "initSFML.h"

void runGame()
{
	PrefPathFinder prefPath{"The games of the warren/SFML_Tetris/"};
	if( prefPath.isAValidPathFound() )
	{
		std::cout << "Path is: " << prefPath.getPath();
		std::ofstream errorLog{prefPath.getPath() + "gameLog.txt"};
		initSFML(errorLog, prefPath);
	}
	else{
		std::cout << "Error: couldn't open pref path due to the following error: " << prefPath.getError() << " .\n";
	}
}

void initSFML(std::ofstream& errorLog, const PrefPathFinder& prefPath)
{
	sf::RenderWindow window{sf::VideoMode(SCREENW, SCREENH), "Tetris of the warren"};
	mainMenu::context(errorLog, prefPath, window);
}