#include <array>
#include <cassert>
#include "constexpr.h"
#include "SFML/Window.hpp"
#include "SFML/Graphics.hpp"
#include "highlightButton.h"
#include "skillLevelButtons.h"

SkillLevelButtons::SkillLevelButtons(sf::Font& font):
	buttons{
		HighlightBtn{font, "Easy",sf::Vector2f{SCREENW/2, SCREENH/2 - SQR_SIZE * 2}},
		HighlightBtn{font, "Intermediate", sf::Vector2f{SCREENW/2, SCREENH/2 + SQR_SIZE}},
		HighlightBtn{font, "Hard", sf::Vector2f{SCREENW/2, SCREENH/2 + SQR_SIZE*4} }
	}
{
		
}
	
void SkillLevelButtons::getUserEvents(int mouse_pos_x, int mouse_pos_y, bool leftButtonState)
{
	for(auto &btn : buttons )
	{
		btn.getUserEvents(mouse_pos_x, mouse_pos_y, leftButtonState);
	}
}

bool SkillLevelButtons::isClicked(size_t buttonIndex) const
{
	assert( buttonIndex < buttons.size() );
	return buttons[buttonIndex].clicked();
}

void SkillLevelButtons::drawButtons(sf::RenderWindow& rend) const
{
	for( auto const &btn : buttons )
	{
		btn.draw(rend);
	}
}