#ifndef LOADED_PIECES_H
#define LOADED_PIECES_H

#include "pieceClass.h"

class LoadedPieces
{
private:
	std::vector<Piece> allPieces;

public:
	explicit LoadedPieces(std::ofstream& errorLog, unsigned skillLevel);
	~LoadedPieces() = default;
	LoadedPieces( const LoadedPieces& Copy ) = delete;
	LoadedPieces& operator= ( const LoadedPieces& Copy ) = delete;
	void addPiece(const MatrixTemp2D<SquareData>& NorthMatrix, unsigned color);
	const Piece& getPiece(size_t index) const;
	Piece& getPiece(size_t index);
	size_t size() const;
};

#endif //LOADED_PIECES_H