#include <cassert>
#include "timeDelayClass.h"

TimeDelay::TimeDelay(double delayDuration):
	current_{std::chrono::steady_clock::now()},
	precedent_{std::chrono::steady_clock::now()},
	delayDuration_{delayDuration},
	delay{delayDuration}
{

}

TimeDelay::TimeDelay():
	current_{std::chrono::steady_clock::now()},
	precedent_{std::chrono::steady_clock::now()},
	delayDuration_{0},
	delay{0}
{

}

bool TimeDelay::delaySufficient(double customDelay)
{
	current_ = std::chrono::steady_clock::now();
	delayDuration_ = current_ - precedent_;
	
	if( delayDuration_.count() >= customDelay )
	{
		precedent_ = current_;
		return true;
	}
	else
		return false;
}

bool TimeDelay::delaySufficient()
{
	assert( delay != 0 );
	current_ = std::chrono::steady_clock::now();
	delayDuration_ = current_ - precedent_;
	
	if( delayDuration_.count() >= delay )
	{
		precedent_ = current_;
		return true;
	}
	else
		return false;
}