#ifndef SCORES_INFOS_H
#define SCORES_INFOS_H

constexpr unsigned SCORE_NUM_PER_SKILL = 5;

struct ScoreInfo
{
	long unsigned score;
	sf::Text text;
	
	ScoreInfo(const sf::Font& arial, unsigned skillNum, unsigned arrayIndex):score{0}
	{
		text.setFont(arial);
		text.setString(std::to_string(score) );
		text.setCharacterSize(22);
		text.setFillColor(sf::Color::White);
		text.setPosition(SQR_SIZE * 2, SQR_SIZE * 3 + skillNum * SQR_SIZE * 7 + (arrayIndex + 1) * SQR_SIZE);
	}
	
	void setThings(unsigned skillNum, unsigned arrayIndex)
	{
		text.setString(std::to_string(score) );
		text.setPosition(SQR_SIZE * 2, SQR_SIZE * 3 + skillNum * SQR_SIZE * 7 + (arrayIndex + 1) * SQR_SIZE);
	}
};

struct SkillLevelScore
{
	std::array<ScoreInfo, SCORE_NUM_PER_SKILL> scores;
	sf::Text title;
	
	SkillLevelScore(const sf::Font& arial, const std::string& skillName, unsigned skillNum):
		scores{
			ScoreInfo{arial, skillNum, 0}, 
			ScoreInfo{arial, skillNum, 1}, 
			ScoreInfo{arial, skillNum, 2}, 
			ScoreInfo{arial, skillNum, 3}, 
			ScoreInfo{arial, skillNum, 4} 
		}
	{
		title.setFont(arial);
		title.setString(skillName);
		title.setCharacterSize(24);
		title.setFillColor(sf::Color::Blue);
		title.setPosition(SQR_SIZE, SQR_SIZE*3 + skillNum * SQR_SIZE * 7);
	}
	
	void setScoresTextsPosition(unsigned skillNum)
	{
		for( unsigned i{0} ; i < scores.size() ; ++i )
		{
			scores[i].setThings(skillNum, i);
		}
	}
};

#endif //SCORES_INFOS_H